Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.filter.thml
Interface Tag

All Known Implementing Classes:
  AbbrTag, AbstractTag, AliasTag, AnonymousTag, ATag, BigTag, BlockquoteTag, BrTag, BTag, CenterTag, CitationTag, DivTag, FontTag, ForeignTag, HrTag, HTag, IgnoreTag, ImgTag, ITag, LiTag, LTag, NameTag, NoteTag, OlTag, PbTag, PTag, QTag, RootTag, ScripRefTag, ScriptureTag, SkipTag, SmallTag, STag, SubTag, SupTag, SyncTag, TableTag, TdTag, TermTag, ThTag, TrTag, TtTag, UlTag, UTag, VerseTag

    public interface Tag

THML Tag interface - there should be one implementation of this class for each THML tag.

Author:
  Joe Walker
See Also:
  `The GNU Lesser General Public License for details.`

Method Summary
`String` | `getTagName()` What element does this class represent.
`void` | `processContent(Book book, Key key, org.jdom2.Element ele)` Do additional processing of the tag after the element has been created.
`org.jdom2.Element` | `processTag(Book book, Key key, org.jdom2.Element ele, Attributes attrs)` Make changes to the specified OSIS element given the attributes passed in the source document.

Method Detail

### getTagName

    String getTagName()

  What element does this class represent. For example the Tag that represents the font element would return the string "font".

  Returns:
    the element's tag name

### processTag

    org.jdom2.Element processTag(Book book,
                                 Key key,
                                 org.jdom2.Element ele,
                                 Attributes attrs)

  Make changes to the specified OSIS element given the attributes passed in the source document.

  Parameters:
    `book` - the book
    `key` - the key
    `ele` - The OSIS element to use as a parent
    `attrs` - The source document attributes.
  Returns:
    the element to which content is attached

### processContent

    void processContent(Book book,
                        Key key,
                        org.jdom2.Element ele)

  Do additional processing of the tag after the element has been created.

  Parameters:
    `book` - the book
    `key` - the key
    `ele` - the created element to process

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD